## statusengine3 3.2.0

=== src/Makefile ===
all: bin/nagios/statusengine.o bin/naemon/statusengine.o bin/naemon/statusengine-1-0-5.o bin/naemon/statusengine-1-1-0.o

bin/nagios/statusengine.o: statusengine.c
	mkdir -p bin/nagios
	LANG=C gcc -DNAGIOS -shared -o "$@" -fPIC  -Wall -Werror statusengine.c -luuid -levent -lgearman -ljson-c

bin/naemon/statusengine.o: statusengine.c
	mkdir -p bin/naemon
	LANG=C gcc -DNAEMON -shared -o "$@" -fPIC  -Wall -Werror statusengine.c -luuid -levent -lgearman -ljson-c


bin/naemon/statusengine-1-0-5.o: statusengine.c
	mkdir -p bin/naemon
	LANG=C gcc `pkg-config --cflags --libs glib-2.0` -DNAEMON105 -shared -o "$@" -fPIC  -Wall -Werror statusengine.c -luuid -levent -lgearman -ljson-c -lglib-2.0

bin/naemon/statusengine-1-1-0.o: statusengine.c
	mkdir -p bin/naemon
	LANG=C gcc `pkg-config --cflags --libs glib-2.0` -DNAEMON110 -shared -o "$@" -fPIC  -Wall -Werror statusengine.c -luuid -levent -lgearman -ljson-c -lglib-2.0

clean:
	rm -f bin/nagios/statusengine.o bin/naemon/statusengine.o bin/naemon/statusengine-1-0-5.o

=== debian/changelog ===
statusengine3 (3.2.0-4ubuntu18.04) bionic; urgency=medium

  * Automatic build base on the state in git as of Thu Oct 17 14:39:51
    CEST 2019.

 -- Daniel Ziegler <daniel@openitcockpit.org>  Thu, 17 Oct 2019 14:39:51 +0200

statusengine3 (3.2.0-4) bionic; urgency=medium

  * stable release 3.2.0

 -- Daniel Ziegler <daniel.ziegler@it-novum.com>  Thu, 26 Sep 2019 16:55:16 +0200

statusengine3 (3.2.0-3) bionic; urgency=medium

  * stable release 3.2.0

 -- Daniel Ziegler <daniel.ziegler@it-novum.com>  Fri, 29 Jun 2018 15:00:00 +0200

statusengine3 (3.2.0-2) bionic; urgency=medium

  * stable release 3.2.0

  -- Daniel Ziegler <daniel.ziegler@it-novum.com> Mon, 18 Jun 2018 10:00:00 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_clean:
	rm -rf src/bin/
	dh_auto_clean

override_dh_auto_build:
	make all

override_dh_install:
	dh_install

## statusengine3 3.2.1

=== debian/changelog ===
statusengine3 (3.2.1-4ubuntu18.04~201911220210) bionic; urgency=medium

  * Automatic build base on the state in git as of Fri Nov 22 03:10:45
    CET 2019.

 -- Daniel Ziegler <daniel@openitcockpit.org>  Fri, 22 Nov 2019 03:10:45 +0100

=== debian/control ===
Source: statusengine3
Section: network
Priority: optional
Maintainer: it-novum <community@openitcockpit.org>
Build-Depends: debhelper (>= 9), uuid-dev, libgearman-dev, libjson-c-dev, libglib2.0-dev, build-essential
Standards-Version: 3.9.6
Homepage: https://statuengine.org

Package: openitcockpit-statusengine3-worker
Architecture: any
Depends: openitcockpit-statusengine3-mysql | openitcockpit-statusengine3-oitc-mysql, openitcockpit-naemon | openitcockpit-nagios | openitcockpit-nagios-sat,
 php-cli, gearman-job-server, redis-server,
 php-gearman, php-redis, php-mysql, php-json, base-files, php-bcmath
Recommends: gearman-tools
Conflicts: openitcockpit-ndoutils, openitcockpit-statusengine
Replaces: openitcockpit-ndoutils, openitcockpit-statusengine
Description: Statusengine 3 database shipper
 A PHP process that fetch all events statusengine events out of the gearman queue and save them to a database. In addition this process will also process performance data to build beautiful dashboards using Grafana for example.

Package: openitcockpit-statusengine3-mysql
Architecture: all
Depends: ${misc:Depends},
 dbconfig-common, mysql-server-5.7|mariadb-server
Recommends: mysql-client-5.7|mariadb-client
Description: MySQL database for Statusengine 3
 MySQL Database Schema and Configuration for Statusengine 3

Package: openitcockpit-statusengine3-oitc-mysql
Architecture: all
Depends: ${misc:Depends},
 dbconfig-common, mysql-server-5.7|mariadb-server
Recommends: mysql-client-5.7|mariadb-client
Description: MySQL database for Statusengine 3 in combination with openITCOCKPIT satellite frontend
 A special package for Statusengine 3 Database Schema and Configuration to use with the openITCOCKPIT satellite frontend

Package: openitcockpit-statusengine3-broker-sat-nagios
Architecture: any
Depends: openitcockpit-nagios-sat, gearman-job-server, base-files,
 uuid-dev, libgearman-dev, libjson-c-dev, libglib2.0-dev
Recommends: gearman-tools
Conflicts: openitcockpit-common, openitcockpit-statusengine-naemon, openitcockpit-statusengine-nagios, openitcockpit-statusengine
Breaks: openitcockpit-statusengine-broker-sat-nagios
Description: The Statusengine Broker Module is a small C binary that gets loaded into your Naemon or Nagios Core.
 It will grab all status and configuration information, encode them as JSON, and put them into the Gearman Job Server. 
 Due to the queuing engine (Gearman) your Monitoring Core will not get blocked by an slow database or disk io issues. 
 It is highly recommended to run the Gearman Job Server on the same node as the monitoring core.
